package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PunchRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface PunchRecordService {
	PunchRecord get(String id);
	boolean exist(String id);
	int insert(PunchRecord model);
	int update(PunchRecord model);
	int delete(String id);
	List<PunchRecord> list();
	Page<PunchRecord> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<PunchRecord> findByPersonAndDate(Long personId, String startDate, String endDate);
}